/******************************************************************
** Copyright (C) 2001, University of Alabama in Huntsville. 
** All rights reserved.
**
** File   : Control.h
**
** Author : Yangsen Yao
**
** Description:
**    This file provides definition for the CLIPS control
**    class.
**
** History:
**    26-Nov-2001 : Yangsen Yao
**        Created file.
******************************************************************/

#ifndef _CONTROL_H_
#define _CONTROL_H_

#include <string>
#include <iostream>
extern "C" 
{
  #include "clips/setup.h"
}

class CCLPControl 
{
 public:
    void Initialize();
    long int run(int );
    void reset();
    void clear();
    void load(std::string);
    void shell();
};

#endif // _CONTROL_H_
